.promo-overlay{

  position:fixed;

  inset:0;

  background:
  rgba(0,0,0,.75);

  backdrop-filter:
  blur(8px);

  display:none;

  justify-content:center;

  align-items:center;

  padding:20px;

  overflow-y:auto;

  z-index:999999;

}



.promo-card{

  width:90%;

  max-width:410px;

  max-height:90vh;

  overflow-y:auto;

  background:
  linear-gradient(
    180deg,
    #07111F,
    #0F172A
  );

  border-radius:24px;

  padding:24px;

  color:white;

  text-align:center;

  position:relative;

  border:
  1px solid rgba(
    0,212,146,.25
  );

}




.promo-close{

  position:absolute;

  top:15px;
  right:15px;

  background:none;

  border:none;

  color:white;

  font-size:20px;

  cursor:pointer;

}

.promo-badge{

  display:inline-block;

  background:#00D492;

  color:#07111F;

  padding:8px 16px;

  border-radius:999px;

  font-size:13px;

  font-weight:700;

  margin-bottom:18px;

}

.promo-card h1{

  margin:0;

  font-size:22px;

  font-weight:800;

}

.promo-subtitle{

  margin-top:10px;

  opacity:.8;

  font-size:14px;

}

.promo-price{

  margin-top:25px;

  font-size:42px;

  font-weight:900;

  color:#00D492;

}

.promo-price span{

  display:block;

  font-size:15px;

  color:white;

  margin-top:5px;

}

.promo-features{

  margin-top:25px;

  display:flex;

  flex-direction:column;

  gap:12px;

}

.feature{

  background:
  rgba(255,255,255,.05);

  border-radius:14px;

  padding:12px;

  font-size:14px;

}

.promo-note{

  margin-top:18px;

  font-size:13px;

  opacity:.75;

  line-height:1.5;

}

.promo-btn{

  width:100%;

  height:52px;

  border:none;

  border-radius:16px;

  background:#00D492;

  color:white;

  font-size:16px;

  font-weight:700;

  margin-top:25px;

  cursor:pointer;

}

.promo-later{

  width:100%;

  height:48px;

  border:none;

  background:none;

  color:#9CA3AF;

  font-weight:600;

  margin-top:10px;

  cursor:pointer;

}



.promo-card::-webkit-scrollbar{
  width:0;
}





.back-arrow{

  position:fixed;

  top:20px;
  left:20px;

  width:35px;
  height:35px;

  display:flex;
  align-items:center;
  justify-content:center;

  background:
    linear-gradient(
      135deg,
      #ffffff,
      #ffffff
    );

  color:#000000;

  border-radius:50%;

  font-size:16px;

  font-weight:400;

  cursor:pointer;

  z-index:1000;

  box-shadow:
    0 4px 15px
    rgba(0, 0, 0, 0.35);

}